MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001954VCMIGUI - PreGamepublic2014-11-19 01:032015-12-12 22:58
ReporterSXX 
Assigned ToSXX 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformPCOSKubuntu LinuxOS Version14.04
Product Version0.97 
Target VersionFixed in Version0.98f 
Summary0001954: vcmiclient crash after same save loaded 2nd time
DescriptionCrash occur within client when I trying to load same save 2nd time once finish some movement/battle in-game.
Steps To Reproduce  - Load provided save file "VCMI_27" as single scenario.
  - Switch to "Solmyr".
  - Now go to attack Genies under "Library of Enlightenment" as seen on screenshot.
  - They should suggest to surrender for 15,950 gold, but I don't have it anyway.
  - Now you can let them go or pursue and kill them.
  - Now once Genies disappear don't do anything else and go to "Load Game".
  - In menu go to exactly same save "VCMI_27" again.
  - Now vcmiclient should crash.
Additional InformationCurrent version from ppa:vcmi/ppa: 0.97+git20141118.3792~ubuntu14.04.1
As before all mods except "VCMI essential files" are disabled.
TagsNo tags attached.
Attached Filesjpeg file icon vcmi_crash_3nd_load.jpeg [^] (255,360 bytes) 2014-11-19 01:03


zip file icon VCMI_27.vcgm1_and_vsgm1.zip [^] (1,841,317 bytes) 2014-11-19 01:07
txt file icon vcmiclient_gdb_backtrace.txt [^] (2,514 bytes) 2014-11-19 01:07 [Show Content]
txt file icon server_log.txt [^] (1,587 bytes) 2014-11-19 01:07 [Show Content]
txt file icon VCMI_Client_log.txt [^] (157,220 bytes) 2014-11-19 01:07 [Show Content]
txt file icon VCMI_Server_log.txt [^] (71,630 bytes) 2014-11-19 01:07 [Show Content]
? file icon Ad Hominem305.h3m [^] (121,854 bytes) 2014-11-19 01:08

- Relationships
related to 0002048closedFay reloading game causes crash if there was a path visible 

-  Notes
(0005124)
SXX (administrator)
2014-11-19 01:09

Save were pretty big (5.5MB each file) so I packed them into ZIP.

I also attached map file because it's non-standard one.
Though I not sure it's needed.
(0006091)
SXX (administrator)
2015-11-18 03:15

Suppose this one is fixed long time ago together with 0002048.

- Issue History
Date Modified Username Field Change
2014-11-19 01:03 SXX New Issue
2014-11-19 01:03 SXX Status new => assigned
2014-11-19 01:03 SXX Assigned To => Tow
2014-11-19 01:03 SXX File Added: vcmi_crash_3nd_load.jpeg
2014-11-19 01:07 SXX File Added: VCMI_27.vcgm1_and_vsgm1.zip
2014-11-19 01:07 SXX File Added: vcmiclient_gdb_backtrace.txt
2014-11-19 01:07 SXX File Added: server_log.txt
2014-11-19 01:07 SXX File Added: VCMI_Client_log.txt
2014-11-19 01:07 SXX File Added: VCMI_Server_log.txt
2014-11-19 01:08 SXX File Added: Ad Hominem305.h3m
2014-11-19 01:09 SXX Note Added: 0005124
2014-11-22 19:10 SXX Product Version => 0.97
2015-11-18 03:15 SXX Relationship added related to 0002048
2015-11-18 03:15 SXX Note Added: 0006091
2015-11-18 03:15 SXX Status assigned => resolved
2015-11-18 03:15 SXX Fixed in Version => 0.98f
2015-11-18 03:15 SXX Resolution open => fixed
2015-11-18 03:15 SXX Assigned To Tow => SXX

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean